Skip to main content
GET
/
api
/
v1
/
clusters
/
ovh
/
{cluster_id}
/
ssh-keys
Get Ovh Ssh Keys Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/ssh-keys"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/ssh-keys', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
curl --request GET \
  --url https://platform.ankra.app/api/v1/clusters/ovh/{cluster_id}/ssh-keys \
  --header 'Authorization: Bearer <token>'
{
  "available_ssh_keys": [
    {
      "credential_id": "<string>",
      "name": "<string>"
    }
  ],
  "ssh_key_credential_ids": [
    "<string>"
  ]
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid>
required

Response

Successful Response

available_ssh_keys
SSHKeyEntry · object[]
required
ssh_key_credential_ids
string[]
required